package com.ssm.mapper.business;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ssm.model.business.SmsUpMessage;

public interface SmsUpMessageMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SmsUpMessage record);

    int insertSelective(SmsUpMessage record);

    SmsUpMessage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SmsUpMessage record);

    int updateByPrimaryKeyWithBLOBs(SmsUpMessage record);

	List<SmsUpMessage> selectsmsUpMessage(@Param("smsUpMessage") SmsUpMessage smsUpMessage);
}